> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Room Dial Out Start

> Start a dial-out in a room



## OpenAPI

````yaml POST /rooms/{room_name}/dialOut/start
openapi: 3.0.3
info:
  title: Daily API
  description: |-
    The Daily REST API offers the ability to manage the following: 
    - Overall Domain Configuration
    - Individual Room creation and config management 
    - Meeting token creation and validation
    - Recording and compositing management 
    - Meeting analytics
    - Logs and metrics
    - Real-time presence

    Please reach out to help@daily.co if we can help with anything
  version: 1.1.1
  contact:
    name: Daily
    url: https://docs.daily.co
    email: help@daily.co
servers:
  - url: https://api.daily.co/v1
security:
  - bearerAuth: []
paths:
  /rooms/{room_name}/dialOut/start:
    post:
      tags:
        - rooms
      summary: rooms/:name/dialOut/start
      description: Start a dial-out in a room
      operationId: RoomDialOutStart
      parameters:
        - name: room_name
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dialout-properties'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    ok: 'true'
                    sessionId: UUID of the dial-out session
        '400':
          $ref: '#/components/responses/400'
      deprecated: false
      security:
        - bearerAuth: []
components:
  schemas:
    dialout-properties:
      properties:
        sipUri:
          description: >-
            sipUri to call. uri should start with `sip:`. Query parameters
            appended to the sipUri will appear as SIP Headers in the INTIVE
            message at the remote SIP endpoint. Headers must start with "X-",
            e.g. to append a header "myexampleHeader" it is appended to sipUri
            as "sip:<dialout_sip_uri>?X-header-1=val-1&X-header-2=val-2".
          type: string
        phoneNumber:
          description: phone number to call. number must start with country code e.g `+1`
          type: string
        extension:
          description: the extension to dial after dialed number is connected. e.g. `1234`
          type: string
        waitBeforeExtensionDialSec:
          description: >-
            number of seconds to wait before dialing the extension, once dialed
            number is connected.
          type: integer
          default: 0
          minimum: 0
          maximum: 60
        displayName:
          description: >-
            The sipUri or The phone participant is shown with this name in the
            web UI.
          type: string
        userId:
          description: userId to assign to the participant. default `userId` is null.
          type: string
        callerId:
          description: >-
            determine the phone number used for outbound call (i.e. phone number
            displayed on the called phone). [purchased
            phone](/products/rest-api/phone-numbers/purchased-phone-numbers)
          type: string
        video:
          description: Enable SIP video in the room, only available for sipUri.
          type: boolean
        videoSettings:
          description: Video encoding settings. Only applicable when `video` is `true`.
          type: object
          properties:
            width:
              description: 'Video width in pixels. Default: 1280. Maximum: 1280.'
              type: integer
              default: 1280
              minimum: 1
              maximum: 1280
            height:
              description: 'Video height in pixels. Default: 720. Maximum: 720.'
              type: integer
              default: 720
              minimum: 1
              maximum: 720
            fps:
              description: 'Video frame rate. Default: 15. Maximum: 30.'
              type: integer
              default: 15
              minimum: 1
              maximum: 30
            videoBitrate:
              description: 'Video bitrate in kbps. Default: 900. Maximum: 1000.'
              type: integer
              default: 900
              minimum: 1
              maximum: 1000
        codecs:
          description: Specify the codecs to use for dial-out.
          type: object
          properties:
            audio:
              description: >-
                Specify the audio codecs to use for dial-out. Default codec is
                PCMU/PCMA. If the set codec is not supported by the remote
                party, the media stream will be transcoded and a transcoding
                charge will be applied. ['OPUS', 'G722', 'PCMU', 'PCMA']
              type: array
              items:
                type: string
                example:
                  - OPUS
                  - G722
                  - PCMU
                  - PCMA
                enum:
                  - OPUS
                  - G722
                  - PCMU
                  - PCMA
            video:
              description: >-
                Specify the video codecs to use for dial-out. Default coded is
                VP8. If the set codec is not supported by the remote party, the
                media stream will be transcoded and a transcoding charge will be
                applied. ['H264', 'VP8'].
              type: array
              items:
                type: string
                example:
                  - H264
                  - VP8
                enum:
                  - H264
                  - VP8
      additionalProperties: false
      type: object
  responses:
    '400':
      description: '400'
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              info:
                type: string
          examples:
            Result:
              value:
                error: invalid-request-error
                info: missing required field
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````